## org.apache.cassandra.db
Interface IColumn

All Known Implementing Classes:
  Column, SuperColumn

    public interface IColumn

Field Summary
`static int` `MAX_NAME_LENGTH`
`static short` `UtfPrefix_`

Method Summary
`void` `addColumn(IColumn column)`
`IColumn` `diff(IColumn column)`
`int` `getLocalDeletionTime()`
`long` `getMarkedForDeleteAt()`
`int` `getObjectCount()`
`java.lang.String` `getString(AbstractType comparator)`
`IColumn` `getSubColumn(byte[] columnName)`
`java.util.Collection<IColumn>` `getSubColumns()`
`boolean` `isMarkedForDelete()`
`long` `mostRecentLiveChangeAt()`
`byte[]` `name()`
`int` `serializedSize()`
`int` `size()`
`long` `timestamp()`
`void` `updateDigest(java.security.MessageDigest digest)`
`byte[]` `value()`

Field Detail

### UtfPrefix_

    static final short UtfPrefix_

See Also:
  Constant Field Values

### MAX_NAME_LENGTH

    static final int MAX_NAME_LENGTH

See Also:
  Constant Field Values

Method Detail

### isMarkedForDelete

    boolean isMarkedForDelete()

### getMarkedForDeleteAt

    long getMarkedForDeleteAt()

### mostRecentLiveChangeAt

    long mostRecentLiveChangeAt()

### name

    byte[] name()

### size

    int size()

### serializedSize

    int serializedSize()

### timestamp

    long timestamp()

### value

    byte[] value()

### getSubColumns

    java.util.Collection<IColumn> getSubColumns()

### getSubColumn

    IColumn getSubColumn(byte[] columnName)

### addColumn

    void addColumn(IColumn column)

### diff

    IColumn diff(IColumn column)

### getObjectCount

    int getObjectCount()

### updateDigest

    void updateDigest(java.security.MessageDigest digest)

### getLocalDeletionTime

    int getLocalDeletionTime()

### getString

    java.lang.String getString(AbstractType comparator)

Copyright © 2010 The Apache Software Foundation